Capture a transaction

Allows you to capture an auth only transaction. To do this, you must complete the following steps:

  1. Run an auth only transaction using the Run card transaction endpoint (by setting the isAuthOnly parameter to true).
  2. Retrieve the id from the response. This is the Nexio Payment ID.
  3. Include that id in the body of your request to this endpoint.

If you do not know the paymentId or amount to use, make a call with the View transactions endpoint with the query filter of transactionStatus=11 and plugin= to get an array of possible transactions.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can also use the following test account. Copy the value and paste it into the appropriate space in the Try It section to the right. username: [email protected] password: JZdzoXpdDeH6VA

Include the ID as indicated above for an auth only transaction.

Request parameters

  • id
  • data
  • data.amount

Response parameters

  • amount
  • authCode
  • currency
  • data
  • data.amount
  • data.currency
  • data.settlementCurrency
  • gatewayResponse
  • gatewayResponse.gatewayName
  • gatewayResponse.refNumber
  • id
  • merchantId
  • message
  • transactionDate
  • transactionStatus
  • transactionType
Body Params
string
required

The Nexio ID for the payment request. This parameter is commonly known as the paymentId.

You can use this in the View transaction by payment ID endpoint within about a minute of running the transaction. Or, you can use it in the View transactions endpoint by including the value for the plugin.originalId query parameter.

data
object
required

Transaction data

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json